gnutls_openpgp_crt_import(3)

NAME
gnutls_openpgp_crt_import - import a RAW or BASE64 encoded key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_import(gnutls_openpgp_crt_t key, const gnutls_datum_t * data, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_openpgp_crt_t key
    The structure to store the parsed key.

const gnutls_datum_t * data
    The RAW or BASE64 encoded key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

DESCRIPTION
This function will convert the given RAW or Base64 encoded key to the native gnutls_openpgp_crt_t format. The output will be stored in 'key'.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.